Subject: Re: [PATCH 2/6] PowerPC 440EPx: Sequoia DTS

From: David Gibson <[email-masked]>
Date: Tue, 7 Aug 2007 14:11:31 +1000

On Mon, Aug 06, 2007 at 10:15:39PM +0200, Segher Boessenkool wrote:
> >>> +	UIC0: interrupt-controller0 {
> >>> +		compatible = "ibm,uic-440gp","ibm,uic";
> >>
> >> The first compatible entry should always be the precise model, so in
> >> this case "ibm,uic-440epx".  If it is (supposed to be) identical to
> >> the UIC in the 440GP, it can also have an "ibm,uic-440gp" entry, but
> >> since I believe all the UICs are supposed to operate the same, I think
> >> that's implicit in the "ibm,uic" entry.
> >
> > Most UICs are the same.  There are some oddball chips that either hide
> > particular registers because they are unused, or they change the
> > addressing stride.  I'm not sure that is a common enough case to worry
> > about now though.
> 
> You only need to worry about the oddball cases in the device
> trees for a device that uses one off those.
> 
> It is prudent to put the exact name of the device you're
> working with in there whenever possible, in case you later
> discover it has some quirks.  If that doesn't happen, the
> kernel can happily keep probing on the more generic name.

Right.  In that case I suggest the sequoia just specify:
	compatible = "ibm,uic-440epx", "ibm,uic";
Because we have no particular reason to think that the 440EPx version
of UIC is any more similar to the 440GP version of UIC than it is to
the "normal" UIC.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson